function z = C_l2u(x,Par)

a = Par(1);
w0 = Par(2);
expe = Par(3);
l0H = Par(4)-1e-4;
A = Par(5);
wsp = [Par(6:9)];
psp = [Par(10:13)]';
u = Par(14);

l = (exp(x)/(1+exp(x)))*l0H/(expe^(1/a)*exp(u));
z = ((wsp-(w0*expe^(1/a)*exp(u)*l)).^(a-1))*psp - (A*w0*expe^(1/a)*exp(u))^(a-1);
    
end
