function ParM4ac = bsn4ac(X,pid,wid,dist_id,choice,l,A,Wsp0,Psp,avAadj,avAcaste,bsamp); 

upid = unique(pid);
[bstat,bssamp] = bootstrp(bsamp,[],upid);

[n,nsamp] = size(bssamp);

for j = 1:bsamp
    isamp = [];
    for i = 1:n
        isamp = [isamp;find(pid==upid(bssamp(i,j)))]; 
    end

    choice_bs = choice(isamp);
    l_bs = l(isamp);
    A_bs = A(isamp);
    Wsp0_bs = Wsp0(isamp,:);
    Psp_bs = Psp(isamp,:);
    avAadj_bs = avAadj(isamp); 
    avAcaste_bs = avAcaste(isamp);
    
    d_id = dist_id(isamp);

    i_1 = find(d_id==1);
    i_3 = find(d_id==3);
    i_4 = find(d_id==4);
    i_6 = find(d_id==6);

    choice1 = choice_bs(i_1);
    choice3 = choice_bs(i_3);
    choice4 = choice_bs(i_4);
    choice6 = choice_bs(i_6);

    l1 = l_bs(i_1);
    l3 = l_bs(i_3);
    l4 = l_bs(i_4);
    l6 = l_bs(i_6);

    A1 = A_bs(i_1);
    A3 = A_bs(i_3);
    A4 = A_bs(i_4);
    A6 = A_bs(i_6);

    Wsp0_1 = Wsp0_bs(i_1,:);
    Wsp0_3 = Wsp0_bs(i_3,:);
    Wsp0_4 = Wsp0_bs(i_4,:);
    Wsp0_6 = Wsp0_bs(i_6,:);

    Psp1 = Psp_bs(i_1,:);
    Psp3 = Psp_bs(i_3,:);
    Psp4 = Psp_bs(i_4,:);
    Psp6 = Psp_bs(i_6,:);

    avAadj1 = avAadj_bs(i_1);
    avAadj3 = avAadj_bs(i_3);
    avAadj4 = avAadj_bs(i_4);
    avAadj6 = avAadj_bs(i_6);

    avAcaste1 = avAcaste_bs(i_1);
    avAcaste3 = avAcaste_bs(i_3);
    avAcaste4 = avAcaste_bs(i_4);
    avAcaste6 = avAcaste_bs(i_6);  
    
    g = @(X)fac_sil(X,choice1,choice3,choice4,choice6,l1,l3,l4,l6,A1,A3,A4,A6,Wsp0_1,Wsp0_3,Wsp0_4,Wsp0_6,Psp1,Psp3,Psp4,Psp6,avAadj1,avAadj3,avAadj4,avAadj6,avAcaste1,avAcaste3,avAcaste4,avAcaste6,n);
    BX = fminunc(g,X);
    BPar = X2Pac(BX);
    ParM4ac(j,:) = [BPar];

    disp(fprintf(' a_1 = %1.5f  | a_3 = %1.5f | a_4 = %1.5f | a_6 = %1.5f | c_1 = %1.5f | c_3 = %1.5f | c_4 = %1.5f | c_6 = %1.5f | g =  %1.5f | eta_0 = %1.5f  | eta_1 = %1.5f  | eta_2 = %1.5f  | k_L = %1.5f | k_T = %1.5f |  b = %1.5f | is = %1.5f | l = %1.5f  \n',BPar));
    clear isamp;
end
end
