function expe = expe_CA(Par,niter)

a = Par(1);
c = Par(2);
w0 = Par(3);
K = Par(4);
A = Par(5);
EWa = Par(6);
eH = Par(7);
l0H = Par(8);
wsp = Par(9:12);
psp = Par(13:16);

tol = 1e-6;
brk = 0;
expe0 = eH;
x0 = 0;
e0L = 1e-5;
iter = 1;
while brk == 0 && iter < niter
       e0H = eH - 1e-6;
       Pare = [a c w0 K A EWa x0 l0H wsp psp]; 
       f = @(e)CA_e2(e,Pare);
       if CA_e2(e0L,Pare)*CA_e2(e0H,Pare)<0
           expe1 = fzero(f,[e0L e0H]);
       elseif abs(CA_e2(e0L,Pare)) < abs(CA_e2(e0H,Pare))
           expe1 = e0L;
       else
           expe1 = e0H;
       end
       Parl = [a w0 expe1 l0H A wsp psp];
       f = @(x)C_l2(x,Parl);
       if C_l2(-10,Parl)*C_l2(10,Parl)<0
           x1 = fzero(f,[-10 10]);
       elseif abs(C_l2(-10,Parl)) < abs(C_l2(10,Parl))
           x1 = -10;
       else
           x1 = 10;
       end;
       if (expe0-expe1)^2  < tol
            brk = 1; 
       end
       expe0 = expe1;
       x0 = x1;
       iter = iter+1;
end

expe = expe1;
end
