function z = DCL_e(expe,Par)

a = Par(1);
c = Par(2);
w0 = Par(3);
K_L = Par(4);
K_C = Par(5);
g = Par(6);
A = Par(7);
Vug = Par(8);

iw = Par(9);

wsp = Par(10:13);
psp = Par(14:17);

Pars = [a w0 expe A wsp psp];

l0L = 1e-6;
l0Hc = wsp(iw)/(expe^(1/a)*w0) - 1e-4;
test = S(l0Hc,Pars)*S(l0L,Pars);

if test < 0
    l0 = [l0L l0Hc];
    f = @(l)S(l,Pars);
    lC = fzero(f,l0);
else
    lC = 0;
end  
z = Vug*expe^((a-1)/a) - A.^(1-a).*((wsp-(w0*expe^(1/a)*lC)*ones(1,4)).^a)*psp' + c*expe*A*(1+g) - a*w0^a*expe*lC - K_L + K_C;


end
