function z = DCP_e(expe,Par)

a = Par(1);
c = Par(2);
w0 = Par(3);
delta = Par(4);
A = Par(5);
Vu = Par(6);

iw = Par(7);

wsp = Par(8:11);
psp = Par(12:15);

Pars = [a w0 expe A wsp psp];

l0L = 1e-6;
l0Hc = wsp(iw)/(expe^(1/a)*w0) - 1e-4;
test = S(l0Hc,Pars)*S(l0L,Pars);

if test < 0
    l0 = [l0L l0Hc];
    f = @(l)S(l,Pars);
    lC = fzero(f,l0);
else
    lC = 0;
end  
z = delta*Vu*expe^((a-1)/a) - A^(1-a)*((wsp-(w0*expe^(1/a)*lC)*ones(1,4)).^a)*psp' + c*expe*A - a*w0^a*expe*lC; 

end
