function ParM = bsn(X,pid,wid,choice,l,A,Wsp0,Psp,avAadj,avAcaste,bsamp); 

upid = unique(pid);
[bstat,bssamp] = bootstrp(bsamp,[],upid);

[nobs,nsamp] = size(bssamp);

for j = 1:bsamp
    isamp = [];
    for i = 1:nobs
        isamp = [isamp;find(pid==upid(bssamp(i,j)))]; 
    end

    choice_bs = choice(isamp);
    l_bs = l(isamp);
    A_bs = A(isamp);
    Wsp0_bs = Wsp0(isamp,:);
    Psp_bs = Psp(isamp,:);
    avAadj_bs = avAadj(isamp); 
    avAcaste_bs = avAcaste(isamp);

    g = @(X)fn_sil(X,choice_bs,l_bs,A_bs,Wsp0_bs,Psp_bs,avAadj_bs,avAcaste_bs);

    BX = fminunc(g,X);
    BPar = X2Pn(BX);
    ParM(j,:) = [BPar];

    disp(fprintf(' Iter: %d  | a = %1.5f  | c = %1.5f g =  %1.5f | eta_0 = %1.5f  | eta_1 = %1.5f  | eta_2 = %1.5f  | k_L = %1.5f | k_T = %1.5f |  b = %1.5f | is = %1.5f | l = %1.5f  \n',[j BPar]));
    clear isamp;
end
end
